package Kindergarten;
import java.util.*;

/**
 * A program fosztlya, a Proto idejn a use-case-ek bemutatsra van optimalizlva, a ksbbiekben kerl sszetettebb kidolgozsra.
 *
 * @author  InFoka
 * @version %I%, %G%
 */
public class Jatek {
    public Proto proto;
	public Toplista toplista;
	public Ido ido;
	public Szamlalo szamlalo;
	Grafika gr;

   /**
    * A konstruktor, amely vezrli a Proto projekt mkdst, a Proto menje utn, a vlasztott use-case-t valstja meg.
	*/
	public Jatek() {
		proto = new Proto();
		proto.makeSzamlalo();
		szamlalo=proto.getSzamlalo();
		toplista=new Toplista();
		proto.setToplista(toplista);
		proto.setJatek(this);
		proto.setInd("user");
		gr = new Grafika();
	}

   /**
    * Az egsz programot indt main fggvny, amely ltrehoz sajt magbl egy pldnyt.
	*
	* @param args	a parancssori argumentumokat tartalmazza
	*/
    public static void main(String args[]) {
		new Jatek();
    }

   /**
    * A jtk indtst vgzi, jelen llapotban egy {@link Nehezseg} objektumot hoz ltre, ez lehetsges, hogy ksbb is gy marad.
	*/
    public void JatekIndit() {
		proto.Log("Jatek::Jatek inditasa");
		gr.BekerNev(this);
    	new Nehezseg(this);
    }
    
   /**
    * A {@link Toplista}t rhetjk el vele.
	*/
    public void EredmenytNez(boolean s) {
		proto.Log("Jatek::EredmenytNez");
		toplista.Megjelenit(s);    
    }
    
   /**
    * Egyszeren s nagyszeren kilphetnk vele a programbl; tartozni fog hozz egy grafikus nyomgomb, ami meg fogja hvni.
	*/
    public void Kilep() {
		System.exit(0);    
    }
}
