package Kindergarten;
import java.util.*;

/**
 * A {@link Jatekbolt} osztly a {@link KozosOs}bl szrmazik, ez fogja megtestesteni a plyn a jtkboltokat, amelyek elbmszkodtatjk az {@link Ovodas}okat.
 *
 * @author  InFoka
 * @version %I%, %G%
 */
public class Jatekbolt extends KozosOs {
	public static int jatekboltok=0;
	public int sid;

   /**
    * A konstruktor, ami nem csinl semmit, valsznleg nem is fog, de mg lehet hogy kelleni fog.
	*/
	public Jatekbolt() {
		sid=jatekboltok++;
		proto.Log("Jatekbolt["+sid+"]::Letrehozva");
	}

   /**
    * Az {@link Ovodas} ezt a fggvnyt hvja meg ha a kt objektum egy azon {@link PalyaElem}en van, ekkor a fggvny meghvja az {@link Ovodas} Bameszkodik fggvnyt.
	*
	* @param ovis	a {@link Ovodas} referencija, aki idetvedt
	*/
    public void OvodasUdvozol(Ovodas ovis) {
		proto.Log("Jatekbolt["+sid+"]::Ovodas udvozolt");
		ovis.JatekboltUdvozol();
    }

   /**
    * Az AktHelyzet vltozt hivatott belltani.
	*/
	public void AktHelyzetBeallit(PalyaElem akt) {
		if(akt==null) { 
			proto.Kiir("Hiba: Jatekbolt["+sid+"]::AktHelyzet-et nem lehet beallitani, parameter erteke null");
			proto.Kiir("Hiba:               A teszteles idejere uj PalyaElemet hozok letre");
			AktHelyzet=new PalyaElem();
		}
		else AktHelyzet=akt;
		proto.Log("Jatekbolt["+sid+"]::AktHelyzet beallitva");
		AktHelyzet.Atvesz(this);
	}

	public char getFaj() { return 'J'; }
}