package Kindergarten;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * A toplistt megjelent ablak.
 */
class LegjobbakAblak extends Dialog{
	Label label[][];
	Button ok;
	Panel panel;
	Jatek jatek;
	Proto proto;

	/**
	 * Konstruktor. Ltrehozza az ablakot, feltlti nevekkel s megjelenti.
	 * @param j
	 */
	public LegjobbakAblak(Jatek j,boolean s)
	{
		super(j.gr,"Kindergarten - Toplista",true);
		proto = new Proto();
		Lista.ListaElem[] t=proto.Toplista(s);
		ok=new Button("Ok");
        setBackground(Color.BLACK);
        setSize(400,300);
        setLocation(300,250);
        panel=new Panel();
        panel.setBackground(Color.BLACK);
        label=new Label[10][4];
        setLayout(new BorderLayout());
        panel.setLayout(new GridLayout(10,4));
        add(ok,BorderLayout.SOUTH);
        add(panel,BorderLayout.CENTER);
		for(int i=0;i<10;i++)
		{
			if(t[i]!=null) {
				String level;
				switch(t[i].szint) {
					case 0 : level="Knny"; break;
					case 1 : level="Kzepes"; break;
					case 2 : level="Nehz"; break;
					default : level="---"; break;
				}
				label[i][0]=new Label((i==9?"":"0")+Integer.toString(i+1)+".");
				label[i][1]=new Label(t[i].nev);
				label[i][2]=new Label(Integer.toString(t[i].pont)+ " pont");
				label[i][3]=new Label(level+ " szint");
				for(int k=0;k<4;k++) {
			        label[i][k].setBackground(Color.BLACK);
			        label[i][k].setForeground(Color.WHITE);
			        label[i][k].setAlignment(Label.CENTER);
					panel.add(label[i][k]);
				}
			}
		}
        addWindowListener(new WindowAdapter() { 
            public void windowClosing(WindowEvent we)
                    { hide(); }});
       
        ok.addActionListener(new ActionAdapter()
        		{
        			public void actionPerformed(ActionEvent e) {
        				hide();
        			}
        		});
        show();
	}
}
