package Kindergarten;
import java.util.*;

/**
 * Az Idt szimbolizl osztly, a plya egyik szegletben lesz majd kirajzolva, s ott fog 3percrl visszafel szmllni.
 *
 * @author  InFoka
 * @version %I%, %G%
 */
public class Ido extends Thread {
    public int ido;
	public Proto proto;

   /**
    * A konstruktor, ami belltja az ido-t 3percre, s meghvja az IdoTelik fggvnyt.
	*/
	public Ido() {
		proto = new Proto();
		ido=120;
		proto.Log("Ido::Letrehozva");
		start();
	}

   /**
    * Az id mlst ezzel a fggvnnyel biztostjuk, msodpercenknt fogja cskkenteni az ido vltozt, amikor nullhoz r majd valahogy jelez, hogy letelt az id.
	*/
    public void run() {
		while(true) {
			if(ido>0) {
				proto.Log("Ido::Az ido mulasa elkezdodott - "+ido+"msodperc a tesztekhez");
				for(;ido>0;ido--) try { while(proto.getEnged()==false) sleep(100); sleep(1000); }
				catch (java.lang.InterruptedException e) {
					proto.Kiir("Hiba: Ido::A szamlalassal gond van, nem mukodik jol a sleep()");
				}
				proto.Log("Ido::Az ido letelt");
		    } else try	{ sleep(1000); }	catch (InterruptedException E){return;}
		}
	}

	public void rst() { ido=120; proto.Log("Ido::Ujrainditva"); }

   /**
    * Az idt lehet lekrdezni, vagyis, hogy letelt-e mr vagy sem.
	*/
	public boolean IdoVege() { 
		proto.Log("Ido::Ido vegehez ert-e? -> "+(ido>0?"nem":"igen"));	
		return (!(ido>0)); 
	}

	public int IdotLekerdez() { return ido; }
}
