package Kindergarten;
import java.util.*;

/**
 * A jtk ragadozja, aki csak ponbl ijesztgeti a plyn mszkl, vagy pp az {@link Ovono} mgtt vonul {@link Ovodas}okat.
 *
 * @author  InFoka
 * @version %I%, %G%
 */
public class Kutya extends KozosOs implements Mozgat {
	public static int kutyak=0;
	public int sid;
   /**
    * A konstruktor, egyelre semmit nem csinl, de mg lehet hogy fog.
	*/
	public Kutya() {
		sid=kutyak++;
		gps=new GPS(this);
		proto.Log("Kutya["+sid+"]::Letrehozva");
		start();
	}

   /**
    * Ha {@link Ovodas} rkezik ugyanoda ahol a {@link Kutya} is van, akkor ez a fggvny hvdik meg, ez pedig a paramterknt kapott {@link Ovodas}nak a KutyaMegugat fggvnyt hvja meg.
	*
	* @param ovis	a berkez {@link Ovodas} referencija
	*/
    public void OvodasUdvozol(Ovodas ovis) {
		proto.Log("Kutya["+sid+"]::Ovodas udvozolt");
		ovis.KutyaMegugat(Iranyom);
    }
    
   /**
    * A Mozgat interfsz Mozog() fggvnynek megvalstsa.
	*/
    public void Mozog(int merre) {
		proto.Log("Kutya["+sid+"]::Mozogni kezd");
		PalyaElem tmp;
		if((tmp=AktHelyzet.Atad(this,merre))!=null) {
			AktHelyzet=tmp;
			Vector Obj = AktHelyzet.LekerdezObjektumok();
			if(Obj!=null) for(int i=0;i<Obj.size();i++) ((KozosOs)Obj.get(i)).KutyaMegugat(merre);
			Iranyom=merre;
		}
		proto.Log("Kutya["+sid+"]::Mozgast befejezi");
	}

   /**
    * Az AktHelyzet vltozt hivatott belltani.
	*/
	public void AktHelyzetBeallit(PalyaElem akt) {
		if(akt==null) { 
			proto.Kiir("Hiba: Kutya["+sid+"]::AktHelyzet-et nem lehet beallitani, parameter erteke null");
			proto.Kiir("Hiba:           A teszteles idejere uj PalyaElemet hozok letre");
			AktHelyzet=new PalyaElem();
		}
		else AktHelyzet=akt;
		proto.Log("Kutya["+sid+"]::AktHelyzet beallitva");
		
		AktHelyzet.Atvesz(this);
		
	}

	public void run() {
		while(true) {
			while(proto.getEnged()==false) try	{ sleep(100); }	catch (InterruptedException E){return;}
			Mozog(((int) (Math.random() * (6))));
			try	{ sleep(1010); }	catch (InterruptedException E){return;}
		}
	}

	public char getFaj() { return 'K'; }

	public int[] Menj(int x, int y) {
		gps.setTo(x,y);
		return gps.GPSinfo();
	}
}