package Kindergarten;
import java.util.*;

/**
 * A jtk szve, a kpernyn megjelen objektumokat ez az osztly hozza ltre, s helyezi el a megfelel helyekre, klnbz algoritmusok szerint, amik a ksbbiekben lesznek implementlva.
 *
 * @author  InFoka
 * @version %I%, %G%
 */
public class Palya extends Thread {
   /**
    * A PalyaElemeket tartalmaz vektor.
	*/
    public Vector PalyaElemek;
   /**
    * Megadhatjuk, hogy PalyaElemekbl hny kerljn egyms mell, sszefgg az OsszPalyaElemmel!!!
	* Fontos, hogy pros szm lljon itt, pratlannal nem lett kiprblva!
	*/
    private final int Sorhossz=20;
   /**
    * Megadja, hogy hny PalyaElem lehet sszesen a plyn, sszefgg a Sorhossz-al!!!
	* Tualjdonkppen a konstruktorban is ki lehetne szmolni az rtkt, mint Sorhossz*Sorhossz-Sorhossz/2, de ezt most nem tennm, j gy is.
	*/
    private final int OsszPalyaElem=390;
   /**
    * Az vodsok szmnak maximuma.
	*/
    private int OsszOvodas;
   /**
    * A csokiautomatak szmnak maximuma.
	*/
    private int OsszCsokiautomata;
   /**
    * A jtkboltok szmnak maximuma.
	*/
    private int OsszJatekbolt;
   /**
    * A kutyk szmnak maximuma.
	*/
    private int OsszKutya;
   /**
    * A kirst s a naplzst hivatott megoldani, klnbz fggvnyeivel.
	*/
	public Proto proto;

	public Ido ido;

	public Ovono ovono;

	int pontok, time;

   /**
    * A kontruktor, jelenleg csak egy Proto objektumot hoz ltre, a ksbbiekben lehet hogy az egyszerstsek miatt ez fogja belltani az osztly sajt vltozit.
	*/
	public Palya() {
		proto = new Proto();
		proto.setPalya(this);
		proto.Log("Palya::Letrehozva");
		PalyaElemek = new Vector();
		pontok=0;
		time=180;
	}

   /**
    * Ltrehozza a {@link PalyaElem}ek sokasgt, s elindtja a szomszdok belltst.&nbsp;Teht felpti a plyt.
	*/
    public void PalyaEpit() {
		proto.Log("Palya::Palya epites elkezdve");
		int i;
		proto.Log("Palya::PalyaElem-ek letrehozasa");
		for(i=0;i<OsszPalyaElem;i++) PalyaElemek.add(new PalyaElem());
		SzomszedBeallit();
		proto.Log("Palya::Ovono letrehozasa");
		ovono = new Ovono();
		ovono.AktHelyzetBeallit((PalyaElem)PalyaElemek.get(Sorhossz*Sorhossz/2+Sorhossz/4));
		proto.Log("Palya::Ovoda letrehozasa");
		new Ovoda().AktHelyzetBeallit((PalyaElem)PalyaElemek.get(Sorhossz-1));
		proto.Log("Palya::Ovodasok letrehozasa");
		if(OsszOvodas%2==0) {
			for(i=0;i<OsszOvodas/2;i++) new FiuOvodas().AktHelyzetBeallit((PalyaElem)PalyaElemek.get(getRP()));
			for(i=0;i<OsszOvodas/2;i++) new LanyOvodas().AktHelyzetBeallit((PalyaElem)PalyaElemek.get(getRP()));
		} else {
			for(i=0;i<(OsszOvodas+1)/2;i++) new FiuOvodas().AktHelyzetBeallit((PalyaElem)PalyaElemek.get(getRP()));
			for(i=0;i<(OsszOvodas-1)/2;i++) new LanyOvodas().AktHelyzetBeallit((PalyaElem)PalyaElemek.get(getRP()));
		}
		proto.Log("Palya::Csokiautomata(k) letrehozasa");
		for(i=0;i<OsszCsokiautomata;i++) new Csokiautomata().AktHelyzetBeallit((PalyaElem)PalyaElemek.get(getRP()));
		proto.Log("Palya::Jatekbolt(ok) letrehozasa");
		for(i=0;i<OsszJatekbolt;i++) new Jatekbolt().AktHelyzetBeallit((PalyaElem)PalyaElemek.get(getRP()));
		proto.Log("Palya::Kutya(k) letrehozasa");
		for(i=0;i<OsszKutya;i++) new Kutya().AktHelyzetBeallit((PalyaElem)PalyaElemek.get(getRP()));
		proto.Log("Palya::Palya epites befejezve");
		if(ido==null) { ido=new Ido(); proto.setIdo(ido); start(); }
    }
    
   /**
    * A fggvny nevben lv vltozt lltja be, ksbb lehet hogy egy fggvnybe lesz sszevonva a tbbi bellt fggvnnyel.
	*/
    public void OsszOvodasBeallit(int x) {
		proto.Log("Palya::Osszes ovodas szamanak beallitasa -> "+x);
		OsszOvodas=x;
    }
    
   /**
    * A fggvny nevben lv vltozt lltja be, ksbb lehet hogy egy fggvnybe lesz sszevonva a tbbi bellt fggvnnyel.
	*/    
    public void OsszCsokiautomataBeallit(int x) {
		proto.Log("Palya::Osszes csokiautomata szamanak beallitasa -> "+x);
		OsszCsokiautomata=x;
    }
    
   /**
    * A fggvny nevben lv vltozt lltja be, ksbb lehet hogy egy fggvnybe lesz sszevonva a tbbi bellt fggvnnyel.
	*/    
    public void OsszJatekboltBeallit(int x) {
		proto.Log("Palya::Osszes jatekbolt szamanak beallitasa -> "+x);
		OsszJatekbolt=x;
    }
    
   /**
    * A fggvny nevben lv vltozt lltja be, ksbb lehet hogy egy fggvnybe lesz sszevonva a tbbi bellt fggvnnyel.
	*/    
    public void OsszKutyaBeallit(int x) {
		proto.Log("Palya::Osszes kutya szamanak beallitasa -> "+x);
		OsszKutya=x;
    }
     
   /**
    * A {@link PalyaElem}eket szvi ssze egy plyv, mindegyiknek belltja a 6 szomszdjt (mhkaptr elrendezs).
	*
	* Az elgondols:
	* - PalyaElemek elrendezese: 
	* --- a pros sorokban (a nulla is ide tartozik) Sorhossz-nyi
	* --- a pratlan sorokoban Sorhossz-1-nyi
	* - Lncolsi szablyok:
	* --- * MINDEN ciklus elejn a szomszdok null-ra vannak lltva, gy az olyan kivteleket, ahol a null-t kne lekezelni nem szksgesek, mivel ha nem lltunk be mst, akkor null marad az rtk.
	* --- * ps -> igaz ha pros sorban vagyunk
	* --- * akthossz -> pros sorban 10, pratlanban 9
	* --- * maxhossz -> akthossz rtknl 1-gyel kevesebb, mivel az utols oszlopnak, ha pros akkor egyik se, ha pratlan akkor csak a jobboldali szomszdja
	* --- Baloldali tagokra:
	* ----- Az els, vagyis 0. oszlop kivtelvel mindegyikhez megadhatjuk az [oszlop-1]. PalyaElemet
	* --- Jobboldali tagokra:
	* ----- Az utols, azaz [akthossz]. oszlop kivtelvel mindegyikhez megadhatjuk az [oszlop+1]. PalyaElemet
	* --- Balfels tagokra:
	* ----- Az els, azaz 0. sor kivtelvel; klnvve a pros s pratlan sorban lv PalyaElemeket:
	* ----- Pros sorban: A pratlan sorok rvidebbsge miatt az els, azaz 0. oszlopban lv tag kivtelvel mindegyikhez megadhatjuk a [sor-1][oszlop-1]. PalyaElemet
	* ----- Pratlan sorban: Itt minden tagnak van balfels szomszdja, teht mindegyikhez megadhatjuk a [sor-1][oszlop]. PalyaElemet
	* --- Jobbfels tagokra:
	* ----- Az els, azaz 0. sor kivtelvel; klnvve a pros s pratlan sorban lv PalyaElemeket:
	* ----- Pros sorban: A pratlan sorok rvidebbsge miatt az utols, azaz [akthossz]. oszlopban lv tag kivtelvel mindegyikhez megadhatjuk a [sor-1][oszlop]. PalyaElemet
	* ----- Pratlan sorban: Itt minden tagnak van jobbfels szomszdja, teht mindegyikhez megadhatjuk a [sor-1][oszlop+1]. PalyaElemet
	* --- Balals tagokra:
	* ----- Az utols, azaz [Sorhossz-1]. sor kivtelvel; klnvve a pros s pratlan sorban lv PalyaElemeket:
	* ----- Pros sorban: A pratlan sorok rvidebbsge miatt az els, azaz 0. oszlopban lv tag kivtelvel mindegyikhez megadhatjuk a [sor+1][oszlop-1]. PalyaElemet
	* ----- Pratlan sorban: Itt minden tagnak van balals szomszdja, teht mindegyikhez megadhatjuk a [sor+1][oszlop]. PalyaElemet
	* --- Jobbals tagokra:
	* ----- Az utols, azaz [Sorhossz-1]. sor kivtelvel; klnvve a pros s pratlan sorban lv PalyaElemeket:
	* ----- Pros sorban: A pratlan sorok rvidebbsge miatt az utols, azaz [akthossz]. oszlopban lv tag kivtelvel mindegyikhez megadhatjuk a [sor+1][oszlop]. PalyaElemet
	* ----- Pratlan sorban: Itt minden tagnak van jobbals szomszdja, teht mindegyikhez megadhatjuk a [sor+1][oszlop+1]. PalyaElemet
	* - Meg van a 6 szomszd referencija, mr csak t kell adni a [sor][oszlop] helyen lv PalyaElemnek.
	*/   
    public void SzomszedBeallit() {
		
		proto.Log("Palya::PalyaElem-ek osszelancolasanak inditasa");
		
		PalyaElem l,lt,rt,r,rb,lb;
		boolean ps=true;
		int akthossz,maxhossz;
		for(int sor=0;sor<Sorhossz;sor++) {
			ps=(sor%2==0?true:false);
			akthossz=(ps?Sorhossz:Sorhossz-1);
			for(int oszlop=0;oszlop<akthossz;oszlop++) {
				l=lt=rt=r=rb=lb=null;
				maxhossz=akthossz-1;
				if(oszlop>0) l=((PalyaElem)PalyaElemek.get(getID(sor,oszlop-1)));
				if(oszlop<maxhossz) r=((PalyaElem)PalyaElemek.get(getID(sor,oszlop+1)));
				if(sor>0) {
					if(ps) {
						if(oszlop>0) lt=((PalyaElem)PalyaElemek.get(getID(sor-1,oszlop-1)));
						if(oszlop<maxhossz) rt=((PalyaElem)PalyaElemek.get(getID(sor-1,oszlop)));
					} else {
						lt=((PalyaElem)PalyaElemek.get(getID(sor-1,oszlop)));
						rt=((PalyaElem)PalyaElemek.get(getID(sor-1,oszlop+1)));
					}
				}
				if(sor<Sorhossz-1) {
					if(ps) {
						if(oszlop>0) lb=((PalyaElem)PalyaElemek.get(getID(sor+1,oszlop-1)));
						if(oszlop<maxhossz) rb=((PalyaElem)PalyaElemek.get(getID(sor+1,oszlop)));
					} else {
						lb=((PalyaElem)PalyaElemek.get(getID(sor+1,oszlop)));
						rb=((PalyaElem)PalyaElemek.get(getID(sor+1,oszlop+1)));
					}
				}
				((PalyaElem)PalyaElemek.get(getID(sor,oszlop))).SzomszedokBeallit(l,lt,rt,r,rb,lb);
			}
		}
		
		proto.Log("Palya::PalyaElem-ek osszelancolasa befejezve");
		
    }

   /**
    * Koordinatak alapjan visszaadja a PalyaElem id-jt a Vectorban. Csak a SzomszedBeallit() hasznlja.
	*
	* @param s	a sor sorszma
	* @param o	az oszlop sorszma
	*/
	public int getID(int s, int o) {
		//proto.Log("A getID visszateresi erteke: "+((s%2==0)?(s/2*19+o):((s-1)/2*19+10+o)));
		return ((s%2==0)?(s/2*(2*Sorhossz-1)+o):((s-1)/2*(2*Sorhossz-1)+Sorhossz+o));
	}

	/**
	 * A Thread fut szla.
	 * A Proto esetben vezrli a globlis id?zt?t s az id? folyst.
	 */
	public void run()  {
		while (true) {			
			while (!proto.getEnged()) {	try { sleep(10); } catch (InterruptedException E) {return;}	}
			try { sleep(1005); }catch (InterruptedException E){return;}
			proto.utemNovel();
			if(ido.IdoVege()||ElfogytakAzOvisok()) {
				proto.Tilt();
				SzintVegeAblak tmp=new SzintVegeAblak(proto.getJatek(),0); 
			}			
		}

	}

	public void Nullaz() {
		proto.getSzamlalo().Eredmeny=0;
		((PalyaElem)PalyaElemek.get(0)).palyaelemek=0;
		proto.getSzamlalo().Eredmeny=0;
		PalyaElemek.clear();
	}

	public Vector getPE() {
		return PalyaElemek;
	}

	public boolean ElfogytakAzOvisok() {
		Vector Objektumok;
		for(int i=0;i<PalyaElemek.size();i++) {
			Objektumok=((PalyaElem)PalyaElemek.get(i)).LekerdezObjektumok();
			if(!(Objektumok.isEmpty())) {
				for(int j=0;j<Objektumok.size();j++) {
					boolean f,l;
					f=l=false;
					f=(((KozosOs)Objektumok.get(j)).getFaj()=='F');
					l=(((KozosOs)Objektumok.get(j)).getFaj()=='L');
					if(f||l) return false;
				}
			}
		}
		return true;
	}		

	public int getRP() {
		return ((int)(Math.random()*(OsszPalyaElem-Sorhossz-1))+Sorhossz);
	}

	public int getSorhossz() { return Sorhossz; }
}