package Kindergarten;
import java.io.*;

/**
 * A Prototpus id?ztsrt s IO m?veleteirt felel?s osztly.
 *
*/
public class Proto {
		/**
		 * Globlis engedlyez? belltsa.
		 */
		static boolean eng=false;
		/**
		 * Beolvass pufferelse
		 */
		static String puffer="";
		static int utem=0;
		private static String logfile;
		private static PrintWriter naplo;

		static StreamTokenizer token;
		static BufferedReader bemenet;
		static String nev;
		static int szint;
		static Szamlalo sz;
		static Toplista toplista;
		static Jatek jatek;
		static Ido ido;
		static Palya palya;
		
		public Proto() {
			if (bemenet==null) bemenet = new BufferedReader( new InputStreamReader( System.in ));
			if (token==null) token=new StreamTokenizer(bemenet);
			token.wordChars(' ','z');//a szkztl 'Z' ig minden az sval tagba kerl
			token.whitespaceChars('\n','\n');//egyedli whitespace az enter!!!!! mi van ha nem csak e asortrs \r\n vagy nem tudom mi a msik
		}
		
		public void setInd(String s)
		{
			if (naplo==null) setLogfile(s+".log");
		}
		/**
		 * tlltja a naplfjlt.
		 */
		public static void setLogfile(String path) {
			if (naplo!=null) naplo.close();
			logfile = path;
			try {
				naplo = new PrintWriter( new BufferedWriter(new FileWriter(logfile)));
			}
			catch (IOException e) {}
		}
		
		/**
		 * Globlis engedlyez bekapcsolsa
		 */
		public void Engedelyez()
		{
			eng=true;
		}
		
		/**
		 * Globlis engedlyez? kikapcsolsa
		 *
		 */
		public void Tilt()
		{
			eng=false;
		}
		
		/**
		 * A globlis engedlyez? llapotnak lekrse
		 * @return
		 */
		public boolean getEnged()
		{
			return eng;
		}
		
		/**
		 * Kirs a kpernyore
		 * @param s - a kiirand szveg
		 */
		public void Kiir(String s)
		{
			System.out.println(s);
		}

		/**
		 * Kirs a log fjlba.
		 * @param id - A kir objektum neve
		 * @param s - A kirand szveg
		 */
		public void Log(String s)
		{
			try {
				String uts=Integer.toString(utem);
				naplo.println("\tLog: "+uts+".utem -> "+s);
				naplo.flush();
			}
			catch (Exception e) {}
		}
		
		public void utemNovel() {
			utem++;
			naplo.println();
		}
		/**
		 * A beolvass puffert rti ki.
		 *
		 */
		public void PufferUrit()
		{
			puffer="";
		}
		
		/**
		 * Szm beolvassa
		 * @param s - A bekr? zenet.
		 * @return - A szm
		 */
		public int BeolvasInt(String s)
		{
			char a;
			int ertek=0;
			boolean ok=false;
			boolean kilep=false;
			do{
				while (puffer==null || puffer.length()==0)
				{
						try
						{
							Kiir(s);
							if(token.nextToken()==StreamTokenizer.TT_NUMBER)
								puffer=Integer.toString((int)token.nval);
							else
								puffer=token.sval;//String.valueOf(tmp,0,k);
						} catch (Exception E) {Kiir(E.getMessage());}
				}
				a=puffer.charAt(0);
				if (a>='0' && a<='9')
				{
					ok=true;
					ertek=ertek*10+(a-'0');
					puffer=puffer.substring(1);
					
					if (puffer==null || puffer.length()==0)
						{
							kilep=true;
						}else
						{
							a=puffer.charAt(0);
							if(a<'0' || a>'9')
							{
								kilep=true;
							}
						}
				} else
					if (!ok) puffer=puffer.substring(1);
			} while (!kilep);
			return ertek;
		}
		
		/**
		 * Egy karakter beolvassa.
		 * @param s - A bekr? szveg.
		 * @return - A karakter.
		 */
		public char Beolvas(String s)
		{
			while (puffer==null || puffer.length()==0)
			{
					try
					{
						Kiir(s);
						if(token.nextToken()==StreamTokenizer.TT_NUMBER)
							puffer=Integer.toString((int)token.nval);
						else
							puffer=token.sval;//String.valueOf(tmp,0,k);
					} catch (Exception E) {Kiir(E.getMessage());}
			}
			char a=puffer.charAt(0);
			puffer=puffer.substring(1);
			return a;
		}
		
		public String BeolvasStr(String s)
		{
			while (puffer==null || puffer.length()==0)
			{
					try
					{
						Kiir(s);
						if(token.nextToken()==StreamTokenizer.TT_NUMBER)
							puffer=Integer.toString((int)token.nval);
						else
							puffer=token.sval;//String.valueOf(tmp,0,k);
					} catch (Exception E) {Kiir(E.getMessage());}
			}
			String a=puffer;
			puffer=null;
			return a;
		}
		
		public void makeSzamlalo() { sz=new Szamlalo(); }

		public Szamlalo getSzamlalo() { return sz; }

		public Lista.ListaElem[] Toplista(boolean s) { return toplista.Megjelenit(s); }

		public void UjJatek() { jatek.JatekIndit(); }

		public void Kirajzol(String s) { System.out.print(s); }

		public void setNev(String n) { nev=n; }

		public String getNev() { return nev; }

		public void setSzint(int s) { szint=s; }

		public int getSzint() { return szint; }

		public void setToplista(Toplista t) { toplista=t; }

		public void setJatek(Jatek j) { jatek=j; }

		public Jatek getJatek() { return jatek; }

		public void setIdo(Ido i) { ido=i; }

		public Ido getIdo() { return ido; }

		public Palya getPalya() { return palya; }

		public void setPalya(Palya p) { palya=p; }
}
