package Kindergarten;
import java.util.*;

/**
 * A ksz programban fogja majd kijelezni a felhasznl ltal elrt pontszmot, teht hogy hny {@link Ovodas}t vitt mr be az {@link Ovoda}ba.
 * Az {@link Ovoda} fogja ltrehozni, s nvelni az Eredmenyt, illetve a {@link Toplista} fogja tle lekrdezni a jtk vgn az elrt eredmnyt.
 *
 * @author  InFoka
 * @version %I%, %G%
 */
public class Szamlalo {
    public int Eredmeny;
    public Proto proto;

   /**
    * A konstruktor, ami most egy j Proto objektumot hoz ltre, amit a kirats sorn fog hasznlni.
	*/
    public Szamlalo() {
		proto = new Proto();
		proto.Log("Szamlalo::Letrehozva");
    }

   /**
    * A jtk vgn a {@link Toplista} fogja lekrdezni a jtkos ltal elrt pontszmot, ezt adja vissza.
	*
	* @return	a sajt Eredmeny vltozjt adja vissza - a felhasznl ltal az {@link Ovoda}ba juttatott {@link Ovodas}ok szma
	*/
    public int EredmenytLekerdez() { 
		return Eredmeny;
    }
    
   /**
    * Az {@link Ovoda} fogja hasznlni ezt a fggvnyt, amely az Eredmeny vltoz nvelsre szolgl.
	*
	* @param x	ennyivel fogja megnvelni az Eredmeny rtkt
	*/
    public void EredmenytNovel(int x) {
		Eredmeny+=x;
		proto.Log("Szamlalo::Eredmeny megnovelve -> +"+x);	    
    }
}
