package Kindergarten;

import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Color;
import java.awt.Dialog;
import java.awt.Label;
import java.awt.Panel;
import java.awt.event.ActionEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * A szint vgn felugr ablak.
 *
*/
public class SzintVegeAblak extends Dialog {

	Jatek jatek;
	Proto proto;
	/**
	 * Konstruktor - Ltrehozza az ablakot s megjelenti azt.
	 * @param j - a jatek objektum referencija
	 * @param param - paramter, melytl fgg az ablak megjelense: lejrt az id, avagy elment az sszes aut.
	 */
	public SzintVegeAblak(Jatek j,int param)
	{
			super(j.gr,"Game Over",true);
			jatek=j;
			proto = new Proto();
			setSize(440,100);
			this.setLocation(300,300);
	        addWindowListener(new WindowAdapter() { public void windowClosing(WindowEvent we) { System.exit(-1);}});
	        Panel p1=new Panel();
	        p1.setBackground(Color.BLACK);
	        Panel p2=new Panel();
	        p2.setBackground(Color.BLACK);
	        Label l1=new Label("A szint vget rt. Pontszmod: "+proto.getSzamlalo().EredmenytLekerdez());
	        l1.setBackground(Color.BLACK);
			l1.setForeground(Color.WHITE);
			l1.setAlignment(Label.CENTER);
	        p1.setLayout(new BorderLayout());
			p1.add(l1,BorderLayout.CENTER);
	        setLayout(new BorderLayout());
	        add(p1,BorderLayout.CENTER);
	        add(p2,BorderLayout.SOUTH);
	        Button b1=new Button("j jtk kezdse");
	        Button b2=new Button("Szint jrakezdse");
	        Button b3=new Button("Toplista");
	        Button b4=new Button("Kilps");
	        b1.addActionListener(new ActionAdapter()
	        		{
	        			public void actionPerformed(ActionEvent e) {
	        				proto.getJatek().JatekIndit();
	        				hide();
	        			}
	        		});
	        b2.addActionListener(new ActionAdapter()
	        		{
	        			public void actionPerformed(ActionEvent e) {
	        				Palya palya = proto.getPalya();
							palya.Nullaz(); palya.ido.rst(); palya.PalyaEpit(); proto.Engedelyez();
	        				hide();
	        			}
	        		});
	        b3.addActionListener(new ActionAdapter()
	        		{
	        			public void actionPerformed(ActionEvent e) {
		    				LegjobbakAblak tmp=new LegjobbakAblak(jatek,false);
	        			}
	        		});
	        b4.addActionListener(new ActionAdapter()
	        		{
	        			public void actionPerformed(ActionEvent e) {
							proto.toplista.lista.beszur(proto.getNev(),proto.toplista.szamlalo.EredmenytLekerdez(),proto.getSzint()); 
							proto.toplista.lista.rendez();
	        				proto.toplista.lista.kiir();
							setVisible(false);
							System.exit(-1);
	        			}
	        		});
	        p2.add(b1);
	        p2.add(b2);
	        p2.add(b3);
	        p2.add(b4);
	        show();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		this.setSize(300,200);
		this.setTitle("Frame");
	}
}
